Debian Bug report logs - #522382
live-initramfs: using 'persistent=nofiles' parameter don't find persistent home partition.

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Carlos Temes <ctemes@penguin-village.net>

Date: Fri, 3 Apr 2009 09:57:09 UTC

Severity: normal

Found in version live-initramfs/1.156.1-1

Fixed in version 1.157.4-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#522382; Package live-initramfs. (Fri, 03 Apr 2009 09:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Temes <ctemes@penguin-village.net>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Fri, 03 Apr 2009 09:57:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carlos Temes <ctemes@penguin-village.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: using 'persistent=nofiles' parameter don't find persistent home partition.
Date: Fri, 03 Apr 2009 11:45:40 +0200
Package: live-initramfs
Version: 1.156.1-1
Severity: normal


Booting from an USB stick with 2 partitions, the first one for 
the live-system and the second one (labeled "home-rw") to be 
used as a persistent home.

When I use the boot parameter "persistent" the live system mount
the home partition without problem, but if I use "persistent=nofiles"
instead, it doesn't find the home partition.



-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#522382; Package live-initramfs. (Thu, 25 Jun 2009 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe LeléŽdy <debian@leledy.fr>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Thu, 25 Jun 2009 18:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 522382@bugs.debian.org (full text, mbox):

From: Philippe LeléŽdy <debian@leledy.fr>
To: 522382@bugs.debian.org
Subject: live-initramfs: using 'persistent=nofiles' parameter don't find persistent: some details
Date: Thu, 25 Jun 2009 20:42:45 +0200
Debian version 5.0.1

I made some investigation around this bug, with some comparaison between 
boot cheatcode "debug persistent" versus "debug persistent=nofiles".

Here are the results:
----------------
grep  "+ /lib/udev/vol_id -l " live.persistent=nofiles.log

+ /lib/udev/vol_id -l /dev/sda
+ /lib/udev/vol_id -l /dev/sdb
+ /lib/udev/vol_id -l /dev/scd0
+ /lib/udev/vol_id -l /dev/sda
+ /lib/udev/vol_id -l /dev/sdb
+ /lib/udev/vol_id -l /dev/scd0
+ /lib/udev/vol_id -l /dev/sda
+ /lib/udev/vol_id -l /dev/sdb
+ /lib/udev/vol_id -l /dev/scd0
+ /lib/udev/vol_id -l /dev/sda
+ /lib/udev/vol_id -l /dev/sdb
+ /lib/udev/vol_id -l /dev/scd0

It is clear that this behaviour is buggy, disk partitions are never 
scanned, only the whole device.

But with "persistent" alone disk partitions *are* scanned

------------
grep  "+ /lib/udev/vol_id -l " live.persistent.log     

+ /lib/udev/vol_id -l /dev/sda
+ /lib/udev/vol_id -l /dev/sda1
+ /lib/udev/vol_id -l /dev/sda2
+ /lib/udev/vol_id -l /dev/sda3
+ /lib/udev/vol_id -l /dev/sda4
+ /lib/udev/vol_id -l /dev/sda5
+ /lib/udev/vol_id -l /dev/sdb
+ /lib/udev/vol_id -l /dev/sdb1
+ /lib/udev/vol_id -l /dev/sdb2
+ /lib/udev/vol_id -l /dev/sdb3
+ /lib/udev/vol_id -l /dev/sdb4
+ /lib/udev/vol_id -l /dev/sdb5
+ /lib/udev/vol_id -l /dev/sdc
+ /lib/udev/vol_id -l /dev/sdc1
+ /lib/udev/vol_id -l /dev/sdc2
+ /lib/udev/vol_id -l /dev/sdc3
+ /lib/udev/vol_id -l /dev/sdc4
+ /lib/udev/vol_id -l /dev/scd0
+ /lib/udev/vol_id -l /dev/sda
+ /lib/udev/vol_id -l /dev/sda1
+ /lib/udev/vol_id -l /dev/sda2
+ /lib/udev/vol_id -l /dev/sda3
+ /lib/udev/vol_id -l /dev/sda4
+ /lib/udev/vol_id -l /dev/sda5
+ /lib/udev/vol_id -l /dev/sdb
+ /lib/udev/vol_id -l /dev/sdb1
+ /lib/udev/vol_id -l /dev/sdb2
+ /lib/udev/vol_id -l /dev/sda
+ /lib/udev/vol_id -l /dev/sda1
+ /lib/udev/vol_id -l /dev/sda2
+ /lib/udev/vol_id -l /dev/sda3
+ /lib/udev/vol_id -l /dev/sda4
+ /lib/udev/vol_id -l /dev/sda5
+ /lib/udev/vol_id -l /dev/sdb
+ /lib/udev/vol_id -l /dev/sdb1
+ /lib/udev/vol_id -l /dev/sdb2
+ /lib/udev/vol_id -l /dev/sdb3
+ /lib/udev/vol_id -l /dev/sdb4
+ /lib/udev/vol_id -l /dev/sdb5
+ /lib/udev/vol_id -l /dev/sdc
+ /lib/udev/vol_id -l /dev/sdc1
+ /lib/udev/vol_id -l /dev/sdc2
+ /lib/udev/vol_id -l /dev/sdc3
+ /lib/udev/vol_id -l /dev/sdc4
+ /lib/udev/vol_id -l /dev/scd0
-------------

Ph.L.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#522382; Package live-initramfs. (Mon, 03 Aug 2009 07:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 03 Aug 2009 07:09:02 GMT) Full text and rfc822 format available.

Message #15 received at 522382@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: debian-live@lists.debian.org
Cc: Daniel Baumann <daniel@debian.org>, 522382@bugs.debian.org
Subject: Re: Bug#522382: live-initramfs: using 'persistent=nofiles' parameter [PATCH]
Date: Mon, 3 Aug 2009 09:07:03 +0200
On Wednesday 29 July 2009, 12:16:54, Daniel Baumann wrote:

> Rui Miguel Bernardo wrote:
> > Here is a correct patch (I hope).
>
> for the records (it doesn't matter here, but it's a major nuissance in
> general when sending patches): your diff is somewhat cluttered, you
> should only change what you changed on purpose and thus send a minimal
> diff only (e.g. here, the case statement is changed without changing it
> (probably changed the indenting)).
>
> anyway, Marco, can you comment on the 'break' one?

My mistake, this is the correct minimal patch (I'll git it in my repo too):

diff --git a/scripts/live-helpers b/scripts/live-helpers
index 35fb8cf..978aa06 100644
--- a/scripts/live-helpers
+++ b/scripts/live-helpers
@@ -367,7 +367,7 @@ find_cow_device ()
 			then
 				# do not mount the device to find for image files
 				# just skip this
-				break
+				continue
 			fi
 
 			case "$(get_fstype ${devname})" in


-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#522382; Package live-initramfs. (Mon, 03 Aug 2009 08:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 03 Aug 2009 08:30:02 GMT) Full text and rfc822 format available.

Message #20 received at 522382@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 522382@bugs.debian.org
Subject: Re: Bug#522382: live-initramfs: using 'persistent=nofiles' parameter [PATCH]
Date: Mon, 03 Aug 2009 10:26:39 +0200
tag 522382 pending
thanks

Marco Amadori wrote:
> My mistake, this is the correct minimal patch (I'll git it in my repo too):

merged, thanks.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 03 Aug 2009 08:30:03 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. (Sun, 18 Oct 2009 19:48:05 GMT) Full text and rfc822 format available.

Notification sent to Carlos Temes <ctemes@penguin-village.net>:
Bug acknowledged by developer. (Sun, 18 Oct 2009 19:48:05 GMT) Full text and rfc822 format available.

Message #27 received at 522382-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 522382-done@bugs.debian.org
Subject: Re: live-initramfs: using 'persistent=nofiles' parameter don't find persistent home partition.
Date: Sun, 18 Oct 2009 21:45:13 +0200
Version: 1.157.4-1

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Nov 2009 07:36:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:46:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.